> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.alephant.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server.

# Change subscription tier

POST https://alephant.io/api/v1/subscriptions/change
Content-Type: application/json

Upgrade or downgrade tier, or change billing period for the same tier (e.g. monthly→yearly). Owner/billing_admin only. Supports Idempotency-Key. Downgrade with active VKs > new limit returns 409 CONFLICT_VK_QUOTA.

Reference: https://developers.alephant.io/api-reference/saa-s-api/subscriptions/change-subscription-tier

## Servers

- `https://alephant.io` (Production, default)
- `https://dev.alephant.io` (Development)

## Request

### Headers

- `Authorization` (string, required) — Bearer \{access\_token}
- `X-Workspace-Id` (string, required) — Workspace UUID
- `Idempotency-Key` (string, optional) — Client UUID for idempotent request

### Body (application/json)

- `billingPeriod` (enum, required)
  - Allowed values: `monthly`, `yearly`
- `tier` (enum, required)
  - Allowed values: `free`, `pro`, `team`, `enterprise`, `contact`

## Response

### 200

data: updated subscription

- `map from string to any`

## Examples

**Request**

```json
{
  "billingPeriod": "monthly",
  "tier": "free"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://alephant.io/api/v1/subscriptions/change"

payload = {
    "billingPeriod": "monthly",
    "tier": "free"
}
headers = {
    "Authorization": "Authorization",
    "X-Workspace-Id": "X-Workspace-Id",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alephant.io/api/v1/subscriptions/change';
const options = {
  method: 'POST',
  headers: {
    Authorization: 'Authorization',
    'X-Workspace-Id': 'X-Workspace-Id',
    'Content-Type': 'application/json'
  },
  body: '{"billingPeriod":"monthly","tier":"free"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alephant.io/api/v1/subscriptions/change"

	payload := strings.NewReader("{\n  \"billingPeriod\": \"monthly\",\n  \"tier\": \"free\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Authorization")
	req.Header.Add("X-Workspace-Id", "X-Workspace-Id")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alephant.io/api/v1/subscriptions/change")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Authorization'
request["X-Workspace-Id"] = 'X-Workspace-Id'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"billingPeriod\": \"monthly\",\n  \"tier\": \"free\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://alephant.io/api/v1/subscriptions/change")
  .header("Authorization", "Authorization")
  .header("X-Workspace-Id", "X-Workspace-Id")
  .header("Content-Type", "application/json")
  .body("{\n  \"billingPeriod\": \"monthly\",\n  \"tier\": \"free\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://alephant.io/api/v1/subscriptions/change', [
  'body' => '{
  "billingPeriod": "monthly",
  "tier": "free"
}',
  'headers' => [
    'Authorization' => 'Authorization',
    'Content-Type' => 'application/json',
    'X-Workspace-Id' => 'X-Workspace-Id',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alephant.io/api/v1/subscriptions/change");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Authorization");
request.AddHeader("X-Workspace-Id", "X-Workspace-Id");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"billingPeriod\": \"monthly\",\n  \"tier\": \"free\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Authorization",
  "X-Workspace-Id": "X-Workspace-Id",
  "Content-Type": "application/json"
]
let parameters = [
  "billingPeriod": "monthly",
  "tier": "free"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/subscriptions/change")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```